HPL_copyL(3)

NAME
HPL_copyL - Copy the current panel into a contiguous workspace.

SYNOPSIS
#include "hpl.h"

void HPL_copyL( HPL_T_panel * PANEL );

DESCRIPTION
HPL_copyL copies the panel of columns, the L1 replicated submatrix, the pivot array and the info scalar into a contiguous workspace for later broadcast.

The copy of this panel into a contiguous buffer can be enforced by specifying -DHPL_COPY_L in the architecture specific Makefile.

ARGUMENTS

PANEL   (input/output)          HPL_T_panel *
    On entry, PANEL points to the current panel data structure being broadcast.

SEE ALSO
HPL_binit (3), HPL_bcast (3), HPL_bwait (3).